classification
Title: Add pickle support of dict views
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.5
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: alexandre.vassalotti, gvanrossum, josh.r, pitrou, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-01-18 08:11 by serhiy.storchaka, last changed 2016-06-07 09:18 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
pickle_dictviews.patch serhiy.storchaka, 2015-01-18 08:11 review
pickle_dictviews_2.patch serhiy.storchaka, 2015-02-04 18:40 review
Messages (8)
msg234225 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-18 08:11
For now dict views are not pickleable in Python 3 (unlike to Python 2 and unlike to dict view iterators). Proposed patch adds pickle support of dict views.
msg234243 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2015-01-18 13:28
This looks good to me, thank you.
msg235394 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-02-04 18:40
Thanks Antoine. Do you have objections Raymond? I'm going to provide similar patch for MappingView.

More robust tests in updated patch.
msg267296 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-06-04 19:13
Why no docs?
msg267320 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-04 21:12
What docs are needed?
msg267325 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-06-04 21:45
On general I think we should always document whether a class is picklable.
And we should document how a subclass can hook into pickling.

--Guido (mobile)
msg267384 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-06-05 05:13
Hm, I no longer think this is a good idea. See http://bugs.python.org/issue23401#msg267383 .
msg267605 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-06-07 09:18
Thank you for your attention Guido.
History
Date User Action Args
2016-06-07 09:18:15serhiy.storchakasetstatus: open -> closed
resolution: rejected
messages: + msg267605

stage: patch review -> resolved
2016-06-05 05:13:51gvanrossumsetmessages: + msg267384
2016-06-04 21:45:34gvanrossumsetmessages: + msg267325
2016-06-04 21:12:41serhiy.storchakasetmessages: + msg267320
2016-06-04 19:13:26gvanrossumsetnosy: + gvanrossum
messages: + msg267296
2015-02-04 23:49:33josh.rsetnosy: + josh.r
2015-02-04 18:40:33serhiy.storchakasetfiles: + pickle_dictviews_2.patch
assignee: serhiy.storchaka
messages: + msg235394
2015-01-18 13:28:16pitrousetmessages: + msg234243
2015-01-18 08:11:56serhiy.storchakacreate